BillKit/Docs Console
Refunds

Create refund

Refund a payment, in full or in part.

POST/v1/refunds
Operation create_refund · Scope refunds:write · Spec snapshot 2026-09-13

Parameters

ParameterDescription
amount_centsinteger | nulloptionalNo description in the spec.
one_shot_payment_idstring | nulloptionalNo description in the spec.
payment_idstring | nulloptionalNo description in the spec.
reasonstring | nulloptionalAt most 500 characters.
subscription_idstring | nulloptionalNo description in the spec.

Returns

Returns a RefundResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the refunds:write scope.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X POST https://api.billkit.eu/v1/refunds \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Request body · every field
{
  "amount_cents": 1900,
  "one_shot_payment_id": "osp_9XKp2vQ1",
  "payment_id": "pay_9XKp2vQ1",
  "reason": "string",
  "subscription_id": "sub_9XKp2vQ1"
}
Response · 200 OK
{
  "amount_cents": 1900,
  "created": 1789392000,
  "currency": "EUR",
  "id": "re_9XKp2vQ1",
  "livemode": false,
  "object": "refund",
  "one_shot_payment_id": "osp_9XKp2vQ1",
  "payment_id": "pay_9XKp2vQ1",
  "reason": "string",
  "status": "string",
  "subscription_id": "sub_9XKp2vQ1"
}